$(".acc-wizard").accwizard();

$('div.form-check-inline').find('> input').eq(0).prop('checked', true);

$('input[type="date"]').blur(function(){

    var data = $(this).val();

    // if(data < $(this).attr('min')){
    //     $(this).val($(this).attr('min'));
    // }
});

$('input[type="radio"]').change(function(){
	if($(this).attr('tipo') == 'avista'){
		$('div.parcelado').each(function(){
			$(this).addClass('hidden');
		});

		$('div.avista').each(function(){
			$(this).removeClass('hidden');
		});

		$('select#parcelamento_financiamento').val(-1);
		$('select#parcelamento_financiamento').change();

		$('select#parcelamento_entrada').val(-1);
		$('select#parcelamento_entrada').change();

		$('input#data_entrada').val('');
	}else{
		$('div.parcelado').each(function(){
			$(this).removeClass('hidden');
		});

		$('div.avista').each(function(){
			$(this).addClass('hidden');
		});

		$('select#sinal').val(-1);
		$('select#sinal').change();

	}
});

function sleep(milliseconds) {
  var start = new Date().getTime();
  for (var i = 0; i < 1e7; i++) {
    if ((new Date().getTime() - start) > milliseconds){
      break;
    }
  }
}

function dataAtualFormatada(data){
    // var data = new Date(),
        dia  = data.getDate().toString(),
        diaF = (dia.length == 1) ? '0'+dia : dia,
        mes  = (data.getMonth()+1).toString(), //+1 pois no getMonth Janeiro começa com zero.
        mesF = (mes.length == 1) ? '0'+mes : mes,
        anoF = data.getFullYear();
    return anoF+"-"+mesF+"-"+diaF;
}

function sleep(milliseconds) {
  var start = new Date().getTime();
  for (var i = 0; i < 1e7; i++) {
    if ((new Date().getTime() - start) > milliseconds){
      break;
    }
  } 
}

function addDays(myDate,days) {
    return new Date(myDate.getTime() + days*24*60*60*1000);
}

function addMonth(myDate,mes) {
    return new Date(myDate.getTime() + mes*24*60*60*1000*30);
}

function formatDate(date) {
    var d = new Date(date),
        month = '' + (d.getMonth() + 1),
        day = '' + d.getDate(),
        year = d.getFullYear();

    if (month.length < 2) month = '0' + month;
    if (day.length < 2) day = '0' + day;

    return [year, month, day].join('-');
}

function att_date(){
    let ultimo_date = TODAY;

    $('input.date:not(tr.hidden > td > input.date)').each(function(){
        
        // if($(this).attr('min') != '' && $(this).val() < ultimo_date){
        //     $(this).val(ultimo_date);
        //     $(this).attr('min', ultimo_date);

        //     let intervalo = parseFloat($(this).parents('tr').find('> td').eq(3).find('> input').val());
        //     let qnt = parseFloat($(this).parents('tr').find('> td').eq(2).find('> input').val());
        //     let date = new Date($(this).val());
        //     let date_new = formatDate(addDays(date, (intervalo * qnt)));
            
        //     ultimo_date = date_new;
        // }else if($(this).attr('min') == ''){

        //     let intervalo = parseFloat($(this).parents('tr').find('> td').eq(3).find('> input').val());
        //     let qnt = parseFloat($(this).parents('tr').find('> td').eq(2).find('> input').val());
        //     let date = new Date($(this).val());
        //     let date_new = formatDate(addDays(date, (intervalo * qnt)));

        //     ultimo_date = date_new;
        // }else{
        //     $(this).attr('min', ultimo_date);

        //     let intervalo = parseFloat($(this).parents('tr').find('> td').eq(3).find('> input').val());
        //     let qnt = parseFloat($(this).parents('tr').find('> td').eq(2).find('> input').val());
        //     let date = new Date($(this).val());
        //     let date_new = formatDate(addDays(date, (intervalo * qnt)));

        //     ultimo_date = date_new;
        // }
    });
}

function att_financiamento(){

    let total = 0;
    var total_price = 0;
    let qnt_master = 0;

    var sinal_aux = parseFloat($('input#exibe_avista').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
    var aux_finan = parseFloat($('input#exibe_total_fin').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));

    var desconto_avista = $('select#sinal').find('> option:selected').attr('desconto');

    isNaN(desconto_avista) ? desconto_avista = 0 : '';

    isNaN(sinal_aux) ? sinal_aux = 0 : '';
    isNaN(aux_finan) ? aux_finan = 0 : '';


    var valor_lote = parseFloat($('input#exibe_valor_lote').attr('valor'));

    var entrada = parseFloat($('input#exibe_entrada').val().replace(/[R$. ]/g, '').replace(/,/g, '.'));
    var juros_entrada = (parseFloat($('input#valor_restante_entrada').attr('valor-total-price')) - parseFloat($('input#valor_restante_entrada').attr('valor-total')));
    var price  = parseFloat($('input#valor_restante_entrada').attr('valor-total-price'));

    if($('input[value="modifica_inter"]').attr('checked') == "checked"){
        var intermediaria = parseFloat($('input#exibe_intermediaria').val().replace(/[R$. ]/g, '').replace(/,/g, '.'));
    }else{
        var intermediaria = parseFloat($('select#parcelamento_inter > option:selected').attr('valor'));
        isNaN(intermediaria) ? '' : intermediaria = $('select#parcelamento_inter > option').eq(1).attr('valor');
    }
    
    isNaN(entrada) ? entrada = 0 : '';
    isNaN(intermediaria) ? intermediaria = 0 : '';


    var unica = 0;
    if($('input#exibe_unica').length){

        unica = parseFloat($('input#exibe_unica').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));

        isNaN(unica) ? unica = 0 : '';
    }

    var desconto = 0;
    if($('input#exibe_desconto').length){

        desconto = parseFloat($('input#exibe_desconto').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));

        isNaN(desconto) ? desconto = 0 : '';
    }

    if($('input[value="modifica_entrada"]').attr('checked') == 'checked'){

        // console.log(valor_lote, intermediaria, entrada, juros_entrada);
        var restante = (valor_lote - intermediaria) - (entrada - juros_entrada) - sinal_aux - aux_finan - unica - desconto - desconto_avista;
        var restante2 = (valor_lote - intermediaria) - (entrada - juros_entrada) - sinal_aux - unica - desconto - desconto_avista;

        isNaN(restante) ? restante = 0 : '';
    }else{

        // console.log($('select#parcelamento_entrada > option[checked]').val());
        if(typeof $('select#parcelamento_entrada > option:selected').attr('valor') !== "undefined"){
            let select_entrada = parseFloat($('select#parcelamento_entrada > option').eq(1).attr('valor'));

            isNaN(select_entrada) ? select_entrada = 0 : '';
            var restante = (valor_lote - (select_entrada) - intermediaria - sinal_aux - aux_finan - unica - desconto - desconto_avista);
            var restante2 = (valor_lote - (select_entrada) - intermediaria - sinal_aux - unica - desconto - desconto_avista); 
            isNaN(restante) ? restante = 0 : '';

        }else{
            let select_entrada = 0;

            isNaN(select_entrada) ? select_entrada = 0 : '';
            var restante = (valor_lote - (select_entrada) - intermediaria - sinal_aux - aux_finan - unica - desconto - desconto_avista);
            var restante2 = (valor_lote - (select_entrada) - intermediaria - sinal_aux - unica - desconto - desconto_avista); 

           isNaN(restante) ? restante = 0 : '';

        }

        // console.log($('select#parcelamento_entrada > option:selected').attr('valor'));
    }

    // Captaliza o saldo devedor
    if($('input#data-financiamento').val() != ''){

        var data_entrada;
        var data_finan = $('input#data-financiamento').val();

        var remanescente = restante;


        if($('input#modifica_entrada').attr('checked') == 'checked'){
            data_entrada = $('tbody#pacelas_entrada > tr:not(tr.hidden)').eq(0).find('> td').eq(1).find('> input').val();
        }else{
            data_entrada = $('input#data_entrada').val();
        }

        data_entrada = new Date(data_entrada);
        data_finan   = new Date(data_finan);

        var dias_juros = (data_finan.getTime() - data_entrada.getTime()) / DAY; 

        dias_juros < 0 ? dias_juros = 0 : '';

        restante = PricePrazo(remanescente, 1, taxa_financiamento, dias_juros);
        restante2 = PricePrazo(remanescente, 1, taxa_financiamento, dias_juros);

        // $.ajax({  
        //     url:'price.php',  
        //     method:'POST', 
        //     // async: false,
        //     data: {valor: remanescente , parcela: 1 , juros: taxa_financiamento, intervalo:dias_juros},
        //     dataType:'json',  
        //     success: dados =>   
        //     {   
        //         restante = dados;
        //     },
        //     error: erro => {console.log('erro na price!')}  
        // });

        // $.ajax({  
        //     url:'price.php',  
        //     method:'POST', 
        //     // async: false,
        //     data: {valor: restante2 , parcela: 1 , juros: taxa_financiamento, intervalo:dias_juros},
        //     dataType:'json',  
        //     success: dados =>   
        //     {   
        //         restante2 = dados;
        //     },
        //     error: erro => {console.log('erro na price!')}  
        // });
    }

    // console.log(restante, sinal_aux, aux_finan);

    if(restante <= 0){
        restante = 0;

        $('input#exibe_financiamento').val(restante.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

        $('input#exibe_financiamento').attr('valor-financiamento', restante2);
        $('input#exibe_financiamento').addClass('completo');
    }else{
        $('input#exibe_financiamento').val(parseFloat(restante).toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

        $('input#exibe_financiamento').attr('valor-financiamento', restante2);
        $('input#exibe_financiamento').removeClass('completo');

        $('select#parcelamento_financiamento > option').each(function(){
            $(this).detach();
        });

        $('select#parcelamento_financiamento').append("<option value='-1'>Selecione</option>")

        var tipo_armotiza = $('div.form-check-inline > input:checked').attr('id');

        // console.log(tipo_armotiza);
        if(tipo_armotiza == "price"){

            var aux_juros = $('input#taxa_financiamento_vdd').val();

            for(let i = 1; i <= (num_financiamento); i++){

                let num = (i);


                // console.log(restante, num, aux_juros);
                let dados = Price(restante, num, aux_juros);

                // console.log(dados);

                $('select#parcelamento_financiamento').append("<option qnt='"+i+"' valor='"+dados+"'>"+i+" X  RS "+dados.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'})+"</option>");
                // console.log(num);
                // $.ajax({  
                //     url:'price.php',  
                //     method:'POST', 
                //     async: false,
                //     data: {valor: restante , parcela: num , juros: aux_juros},
                //     dataType:'json',  
                //     success: dados =>   
                //     {  
                //         //console.log('dados: ', dados);
                //         $('select#parcelamento_financiamento').append("<option qnt='"+i*12+"' valor='"+dados+"'>"+i*12+" X "+dados.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'})+"</option>");
                //     },
                //     error: erro => {console.log('erro na price!')}  
                // });
            }
        }else if(tipo_armotiza == "semjuros"){
            for(let i = 1; i <= (num_financiamento); i++){

                let num = (i);

                let dados = (restante/num);

                $('select#parcelamento_financiamento').append("<option qnt='"+i+"' valor='"+dados+"'>"+i+" X R$ "+dados.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'})+"</option>");

                // $.ajax({  
                //     url:'price.php',  
                //     method:'POST', 
                //     async: false,
                //     data: {valor: restante , parcela: num , juros: 0},
                //     dataType:'json',  
                //     success: dados =>   
                //     {  
                //         //console.log('dados: ', dados);
                //         $('select#parcelamento_financiamento').append("<option qnt='"+i*12+"' valor='"+dados+"'>"+i*12+" X "+dados.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'})+"</option>");
                //     },
                //     error: erro => {console.log('erro na price!')}  
                // });
            }
        }
    }
    
    // console.log(restante);
}

function cal_total_intermediaria(){
    var total = 0;
    var qnt_master = 0;
    var valor_total = parseFloat($('input#valor_restante_intermediaria').attr('valor-total').replace(/[R$. ]/g, '').replace(/,/g, '.'));
    var remanescente = valor_total;
    var total_price = 0;

    let lote = parseFloat($('input#exibe_financiamento').attr('valor-financiamento'));


    //console.log(lote, percentual_inter, taxa_inter);

    remanescente = ((lote  * percentual_inter) / 100).toFixed(2);

    $('select#parcelamento_inter > option').each(function(){
        $(this).detach();
    });

    $('select#parcelamento_inter').append("<option>Selecione</option>");

    for(let i = 1; i <= 8; i++){

        dados = Price(remanescente, i, taxa_inter);
        $('select#parcelamento_inter').append("<option qnt='"+i+"' valor='"+dados+"'>"+i+" X R$ "+dados.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'})+"</option>");
        // $.ajax({  
        //     url:'price.php',  
        //     method:'POST', 
        //     async: false,
        //     data: {valor: remanescente , parcela: i, juros: taxa_inter},
        //     dataType:'json',  
        //     success: dados =>   
        //     {  
        //         $('select#parcelamento_inter').append("<option qnt='"+i+"' valor='"+dados+"'>"+i+" X "+dados.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'})+"</option>");
        //     },
        //     error: erro => {console.log('erro na price!')}  
        // });
    }


    $('input#valor_restante_intermediaria').val((remanescente).toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

    $('input#valor_restante_intermediaria').attr('valor-total', (((lote  * percentual_inter) / 100)).toFixed(2));

    // $('tbody#intermediaria > tr:not(tr.hidden) > td > input[name="valor_parcela_intermediaria"]').each(function(){

    //     var valor = ($(this).val().replace(/[R$. ]/g, '').replace(/,/g, '.'));
    //     valor = parseFloat(valor.substr(1));

    //     var qnt = parseFloat($(this).parents('tr').find('> td').eq(3).find('> input').val());
    //     var intervalo = parseFloat($(this).parents('tr').find('> td').eq(2).find('> input').val());

    //     isNaN(qnt) ? qnt = 0 : qnt_master += parseFloat(qnt);

    //     if(!(isNaN(valor) && isNaN(qnt)) && valor != 0 && qnt != 0){

    //         total += (valor * qnt);

    //         $.ajax({  
    //             url:'price.php',  
    //             method:'POST', 
    //             async: false,
    //             data: {valor: remanescente , parcela: qnt , juros: taxa_inter, intervalo:intervalo},
    //             dataType:'json',  
    //             success: dados =>   
    //             {   
    //                // total_price += ((parseFloat(dados) * qnt) - remanescente);
    //                 remanescente -= (parseFloat(valor * qnt) - ((dados * qnt) - remanescente)); 
    //                 juros = (total - (valor_total - remanescente));
    //                 console.log(juros);
    //             },
    //             error: erro => {console.log('erro na price!')}  
    //         });
    //     }
    // });

   
    att_financiamento();
}

function cal_total_entrada(){
    var total = 0;
    var total_price = 0;
    var qnt_master = 0;
    var valor_total = parseFloat($('input#valor_restante_entrada').attr('valor-total'));
    var remanescente = valor_total;
    var juros = 0;


    $('tbody#pacelas_entrada > tr:not(tr.hidden) > td > input[name="valor_parcela_entrada"]').each(function(){

        var valor = ($(this).val().replace(/[R$. ]/g, '').replace(/,/g, '.'));
        valor = parseFloat(valor.substr(1));

        var qnt = parseFloat($(this).parents('tr').find('> td').eq(3).find('> input').val());
        var intervalo = parseFloat($(this).parents('tr').find('> td').eq(2).find('> input').val());

        qnt_master += qnt;

        var val_total = valor * qnt;

        // console.log(total, qnt, valor);
        if(!(isNaN(valor) && isNaN(qnt))){
            total += (valor * qnt);
        }

        // console.log(remanescente, total_price);
        if(!(isNaN(valor) && isNaN(qnt)) && qnt != 0){

            var dados = PricePrazo(remanescente, qnt, juros_entrada, intervalo);

            remanescente -= (parseFloat(valor * qnt) - ((dados * qnt) - remanescente)); 
            juros = (total - (valor_total - remanescente));
            // $.ajax({  
            //     url:'price.php',  
            //     method:'POST', 
            //     async: false,
            //     data: {valor: remanescente , parcela: qnt , juros: juros_entrada, intervalo:intervalo},
            //     dataType:'json',  
            //     success: dados =>   
            //     {   
            //         // total_price += ((parseFloat(dados) * qnt) - remanescente);
            //         remanescente -= (parseFloat(valor * qnt) - ((dados * qnt) - remanescente)); 
            //         juros = (total - (valor_total - remanescente));
            //     },
            //     error: erro => {console.log('erro na price!')}  
            // });
        }else{
            $('input#valor_restante_entrada').attr('valor-total-price', (parseFloat($('input#valor_restante_entrada').attr('valor-total'))));
        }
    });


    if(total == 0){
        $('input#valor_restante_entrada').attr('valor-total-price',  $('input#valor_restante_entrada').attr('valor-total'));
    }else{
        $('input#valor_restante_entrada').attr('valor-total-price', (valor_total + juros));
    }

    // console.log(total_price, total);
    $('input#exibe_entrada').val((total).toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
    $('input#valor_restante_entrada').val((remanescente).toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

    if(remanescente == 0){
        $('input#valor_restante_entrada').removeClass('incompleto').removeClass('estorado').addClass('completo');
    }else if(remanescente < 0){
        $('input#valor_restante_entrada').removeClass('incompleto').removeClass('completo').addClass('estorado');
    }else{
        $('input#valor_restante_entrada').removeClass('estorado').removeClass('completo').addClass('incompleto');
    }

    att_financiamento();
    cal_total_intermediaria();
}

function salva_simulacao(){

    var dados = Array();

    // var data_entrada;

    // var sinal = Array();

    // var qnt = $('select#sinal').find('> option:selected').attr('qnt');
    // var valor = $('select#sinal').find('> option:selected').attr('valor');
    // var desconto = $('select#sinal').find('> option:selected').attr('desconto');

    // var total = (parseFloat(qnt) * parseFloat(valor));
    // isNaN(total) ? total = 0 : '';

    // var data_sinal = $('input#data_sinal').val();
    // var aux_valor_sinal = $('input#sinal').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1);
    // isNaN(total) ? sinal.push(0) : sinal.push(total);

    dados.push(0);


    //fazer a captação das parcelas de entrada
    var entrada = Array();

    if($('input#modifica_entrada').attr('checked') == "checked"){

        var valor_entrada = parseFloat($('input#exibe_entrada').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1)) - parseFloat($('input#valor_restante_entrada').attr('valor-total-price')) + parseFloat($('input#valor_restante_entrada').attr('valor-total'));

        $('tbody#pacelas_entrada > tr:not(tr.hidden)').each(function(i){
            var dado = Array();

            i == 0 ?  data_entrada = $(this).find('> td').eq(3).find('> input').val() : '';

            dado.push($(this).find('> td').eq(3).find('> input').val());
            dado.push($(this).find('> td').eq(0).find('> input').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
            dado.push($(this).find('> td').eq(1).find('> input').val());
            dado.push($(this).find('> td').eq(2).find('> input').val());


            if($(this).find('> td').eq(0).find('> input').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1) == ''){

                $('div#modal-aviso').modal('show');
                return;

            }

            entrada.push(dado);
        });

        dados.push(entrada);
    }else{

        var valor_entrada = parseFloat($('select#parcelamento_entrada > option').eq(1).attr('valor'));

        var dado = Array();

        var qnt = $('select#parcelamento_entrada > option:selected').attr('qnt');
        var valor = $('select#parcelamento_entrada > option:selected').attr('valor');
        var data = $('input#data_entrada').val();
        var data2 = $('input#data_entrada2').val();

     

            data_entrada = data;

            dado.push('1');
            dado.push(valor);
            dado.push(data);
            dado.push('30');

            entrada.push(dado);
            var dado = Array();

            dado.push((parseFloat(qnt) - 1));
            dado.push(valor);
            dado.push(data2);
            dado.push('30');

            entrada.push(dado);

            console.log(entrada);

        

        dados.push(entrada);
    }

    //fazer a captação das parcelas da intermediaria
    var inter = Array();
    if($('input#modifica_inter').attr('checked') == "checked"){

        var data_inter;

        $('tbody#intermediaria > tr:not(tr.hidden)').each(function(){
            var dado = Array();

            data_inter = $(this).find('> td').eq(3).find('> input').val()

            dado.push($(this).find('> td').eq(0).find('> input').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
            dado.push($(this).find('> td').eq(1).find('> input').val());
            dado.push($(this).find('> td').eq(2).find('> input').val());
            dado.push($(this).find('> td').eq(3).find('> input').val());

            inter.push(dado);
        });

        dados.push(inter);
    }else{

        var valor_intermediaria = parseFloat($('select#parcelamento_inter > option').eq(1).attr('valor'));

        var data_inter;
        var dado = Array();

        var qnt = $('select#parcelamento_inter > option:selected').attr('qnt');
        var valor = $('select#parcelamento_inter > option:selected').attr('valor');
        var data = $('input#data_inter').val();
        var intervalo = $('input#intervalo-inter').val();

        console.log(valor, data);

        if((typeof obj !== "undefined" && data == '')){

            swal("Falha ao Salvar a Simulação", "Por gentileza verifique os dados e tente novamente", "error");
            return;

        }

        data_inter = data;

        dado.push(qnt);
        dado.push(valor);
        dado.push(data);
        dado.push(intervalo);

        inter.push(dado);

        dados.push(inter);
    }

    //fazer a captação de parcelas do financiamentto
    var data_fin = $('input#data-financiamento').val();

    //data_fin = new Date(data_fin);

    var tipo_armotiza = $('div.form-check-inline > input:checked').attr('id');
    var finan = Array();
    var forma_pgto = '';

    var saldo_devedor = $('input#exibe_financiamento').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1);


    if($('select#sinal').find('> option:selected').val() != -1){
        forma_pgto = 'avista';

        var qnt = $('select#sinal').find('> option:selected').attr('qnt');
        var valor = $('select#sinal').find('> option:selected').attr('valor');
        var desconto = $('select#sinal').find('> option:selected').attr('desconto');
        var data_sinal = $('input#data_sinal').val();
        var data_sinal2 = $('input#data_sinal2').val();


        var dado = Array();
        // var qnt = $('select#parcelamento_financiamento > option:selected').attr('qnt');
        // var valor = $('select#parcelamento_financiamento > option:selected').attr('valor');

        if((valor !='' && data_fin == '' && data_sinal2 == '') && saldo_devedor != 0){

            // $('div#modal-aviso').modal('show');
             swal("Falha ao Salvar a Simulação", "Por gentileza verifique os dados e tente novamente", "error");
            return;
        }

        dado.push(qnt);
        dado.push(valor);
        //dado.push(dataAtualFormatada(data_fin));
        dado.push((data_sinal));
        dado.push((data_sinal2));

        finan.push(dado);
    }else if(tipo_armotiza == 'price'){
        
        forma_pgto = 'price';

        var dado = Array();
        var qnt = $('select#parcelamento_financiamento > option:selected').attr('qnt');
        var valor = $('select#parcelamento_financiamento > option:selected').attr('valor');

        if((valor !='' && data_fin == '') && saldo_devedor != 0){

            // $('div#modal-aviso').modal('show');
             swal("Falha ao Salvar a Simulação", "Por gentileza verifique os dados e tente novamente", "error");
            return;
        }

        dado.push(qnt);
        dado.push(valor);
        //dado.push(dataAtualFormatada(data_fin));
        dado.push((data_fin));

        finan.push(dado);

        // for(let i = 0; i < qnt; i++){

        //     dado = Array();

        //     dado.push(valor);
        //     dado.push(dataAtualFormatada(new Date(data_fin.setMonth(data_fin.getMonth() + 1))));

        //     finan.push(dado);
        // }
    }else if(tipo_armotiza == 'sac'){

        forma_pgto = 'sac';
        var dado;
        
        $('tbody#finan_sac > tr:not(tr.hidden)').each(function(){

            dado = Array();
            dado.push('1');
            dado.push($(this).find('> td').eq(1).text().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
            dado.push($(this).find('> td').eq(2).text());

            if($(this).find('> td').eq(1).text().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1) == '' || $(this).find('> td').eq(2).text() == '' || data_fin == ''){

                // $('div#modal-aviso').modal('show');
                 swal("Falha ao Salvar a Simulação", "Por gentileza verifique os dados e tente novamente", "error");
                return;

            }

            finan.push(dado);
        });
    }else if(tipo_armotiza == 'semjuros'){

        forma_pgto = 'semjuros';
        var dado = Array();
        var qnt = $('select#parcelamento_financiamento > option:selected').attr('qnt');
        var valor = $('select#parcelamento_financiamento > option:selected').attr('valor');

        dado.push(qnt);
        dado.push(valor);
        //dado.push(dataAtualFormatada(data_fin));
        dado.push(data_fin);

        finan.push(dado);

        if((valor !='' && data_fin == '') && saldo_devedor != 0){

            // $('div#modal-aviso').modal('show');
             swal("Falha ao Salvar a Simulação", "Por gentileza verifique os dados e tente novamente", "error");
            return;

         }
        // for(let i = 0; i < qnt; i++){

        //     dado = Array();

        //     dado.push(valor);
        //     dado.push(dataAtualFormatada(new Date(data_fin.setMonth(data_fin.getMonth() + 1))));

        //     finan.push(dado);
        // }
    }

    if($('input#exibe_unica').length){

        var aux = parseFloat($('input#exibe_unica').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));

        isNaN(aux) ? aux = 0 : '';
    }

    if($('input#exibe_desconto').length){

        var desconto = parseFloat($('input#exibe_desconto').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
        isNaN(desconto) ? desconto = 0 : '';
    }

    var valor_financiado = parseFloat($('input#exibe_financiamento').attr('valor-financiamento'));

    dados.push(finan);
    dados.push(aux);
    dados.push(desconto);

    dados_cli = Array();

    var cliente = $('select#select > option:selected').val();
    

    if(cliente == '' || cliente == -1 || corretor == '' || lote_id == '' || (saldo_devedor != 0)){
        // $('div#modal-aviso').modal('show');
         swal("Falha ao Salvar a Simulação", "Por gentileza verifique os dados e tente novamente", "error");
        return;
    }

    var corretor = $('select#corretores > option:selected').val();

    dados_cli.push(corretor);
    dados_cli.push(lote_id);
    dados_cli.push(cliente);
    // dados_cli.push($('input#id-user').val());

    $.ajax({  
        url:'recebe_new_venda.php',  
        method:'POST', 
        dataType: 'JSON',
        async: false,
        data: { dados:dados, dados_cli:dados_cli, status: "salvar", data_sinal: data_sinal, valor_financiado:valor_financiado, valor_entrada:valor_entrada, valor_intermediaria:valor_intermediaria, indice_correcao:indice_correcao, forma_pgto:forma_pgto },
        success: dados =>   
        {   
            $("div#modal7").modal('hide');
            
            if(refaz_venda != ''){
                window.open('demonstra_simulacao.php?id='+dados+'&refaz_venda='+refaz_venda, '_blank');
            }else{
                window.open('demonstra_simulacao.php?id='+dados, '_blank');
            }
            

        },
        beforeSend: function(){
            //$('button.close').click();
        },
        error: erro => {
            console.log(0);
        }  
    });
}

function imprime_proposta(){
    var dados = Array();

    var sinal = Array();

    sinal.push($('input#exibe_avista').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
    
    dados.push(sinal);

    //fazer a captação das partcelas de entrada
    var entrada = Array();

    if($('input#modifica_entrada').attr('checked') == "checked"){

        $('tbody#pacelas_entrada > tr:not(tr.hidden)').each(function(){
            var dado = Array();

            dado.push($(this).find('> td').eq(3).find('> input').val());
            dado.push($(this).find('> td').eq(0).find('> input').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
            dado.push($(this).find('> td').eq(1).find('> input').val());
            dado.push($(this).find('> td').eq(2).find('> input').val());


            if($(this).find('> td').eq(0).find('> input').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1) == ''){

                $('div#modal-aviso').modal('show');
                return;

            }

            entrada.push(dado);
        });

        dados.push(entrada);
    }else{

        var dado = Array();

        var qnt = $('select#parcelamento_entrada > option:selected').attr('qnt');
        var valor = $('select#parcelamento_entrada > option:selected').attr('valor');
        var data = $('input#data_entrada').val();

        if(qnt == '' || valor =='' || data == ''){

            $('div#modal-aviso').modal('show');
            return;

        }

        dado.push(qnt);
        dado.push(valor);
        dado.push(data);
        dado.push('30');

        entrada.push(dado);

        dados.push(entrada);
    }

    //fazer a captação das parcelas da intermediaria
    var inter = Array();
    if($('input#modifica_inter').attr('checked') == "checked"){
        $('tbody#intermediaria > tr:not(tr.hidden)').each(function(){
            var dado = Array();

            dado.push($(this).find('> td').eq(0).find('> input').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
            dado.push($(this).find('> td').eq(1).find('> input').val());
            dado.push($(this).find('> td').eq(2).find('> input').val());
            dado.push($(this).find('> td').eq(3).find('> input').val());

            inter.push(dado);
        });

        dados.push(inter);
    }else{

        var dado = Array();

        var qnt = $('select#parcelamento_inter > option:selected').attr('qnt');
        var valor = $('select#parcelamento_inter > option:selected').attr('valor');
        var data = $('input#data_inter').val();

        dado.push(qnt);
        dado.push(valor);
        dado.push(data);

        inter.push(dado);

        dados.push(inter);
    }

    //fazer a captação de parcelas do financiamentto
    var data_fin = $('input#data-financiamento').val();

    data_fin = new Date(data_fin);

    var tipo_armotiza = $('div.form-check-inline > input:checked').attr('id');

    var finan = Array();

    if(tipo_armotiza == 'price'){
        
        var dado = Array();
        var qnt = $('select#parcelamento_financiamento > option:selected').attr('qnt');
        var valor = $('select#parcelamento_financiamento > option:selected').attr('valor');

        if(qnt == '' || valor ==''){

            $('div#modal-aviso').modal('show');
            return;

        }

        dado.push(qnt);
        dado.push(valor);
        //dado.push(dataAtualFormatada(data_fin));
        dado.push(data_fin);

        finan.push(dado);

        // for(let i = 0; i < qnt; i++){

        //     dado = Array();

        //     dado.push(valor);
        //     dado.push(dataAtualFormatada(new Date(data_fin.setMonth(data_fin.getMonth() + 1))));

        //     finan.push(dado);
        // }
    }else if(tipo_armotiza == 'sac'){

        var dado;
        
        $('tbody#finan_sac > tr:not(tr.hidden)').each(function(){

            dado = Array();
            dado.push('1');
            dado.push($(this).find('> td').eq(1).text().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
            dado.push($(this).find('> td').eq(2).text());

            if($(this).find('> td').eq(1).text().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1) == '' || $(this).find('> td').eq(2).text() == ''){

                $('div#modal-aviso').modal('show');
                return;

            }

            finan.push(dado);
        });
    }else if(tipo_armotiza == 'semjuros'){

        var dado = Array();
        var qnt = $('select#parcelamento_financiamento > option:selected').attr('qnt');
        var valor = $('select#parcelamento_financiamento > option:selected').attr('valor');

        dado.push(qnt);
        dado.push(valor);
        //dado.push(dataAtualFormatada(data_fin));
        dado.push(data_fin)

        finan.push(dado);

        if(qnt == '' || valor == ''){

            $('div#modal-aviso').modal('show');
            return;

        }

        // for(let i = 0; i < qnt; i++){

        //     dado = Array();

        //     dado.push(valor);
        //     dado.push(dataAtualFormatada(new Date(data_fin.setMonth(data_fin.getMonth() + 1))));

        //     finan.push(dado);
        // }
    }

    if($('input#exibe_unica').length){

        var aux = parseFloat($('input#exibe_unica').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));

        isNaN(aux) ? aux = 0 : '';

    }

    dados.push(finan);

    dados.push(aux);

    dados = JSON.stringify(dados);

    $('input#form_hidden').val(dados);

    $('form#form_hidden').submit();


    console.log($('input#id-user').val());
}

$(document).on("blur", "input.date", function(){

    if($(this).attr('min') != '' && $(this).val() < $(this).attr('min') ){
        $(this).val($(this).attr('min'));

        let intervalo = parseFloat($(this).parents('tr').find('> td').eq(3).find('> input').val());
        let qnt = parseFloat($(this).parents('tr').find('> td').eq(2).find('> input').val());
        let date = new Date($(this).val());
        let date_new = formatDate(addDays(date, (intervalo * qnt)));
    }else{
        let intervalo = parseFloat($(this).parents('tr').find('> td').eq(3).find('> input').val());
        let qnt = parseFloat($(this).parents('tr').find('> td').eq(2).find('> input').val());
        let date = new Date($(this).val());
        let date_new = formatDate(addDays(date, (intervalo * qnt)));
    }

    att_date();
});

$(document).on('blur', 'input[name="intervalo"]', function(){
    att_date();
});

// var aux = ($(window).height() - 200);
// $("div#especial").css('min-height', aux);

$('input[type="checkbox"]').click(function(){

    let i = 0;
    // $('input#exibe_entrada').val(i.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

    if($(this).attr('checked') == "checked"){

        let para = $(this).val();

        $('div#'+para).each(function(){
            $(this).removeClass('hidden');
        });

        $('div#'+para+'_original').each(function(){
            $(this).addClass('hidden');
        });

    }else{
        let para = $(this).val();

        $('div#'+para).each(function(){
            $(this).addClass('hidden');
        });

        $('div#'+para+'_original').each(function(){
            $(this).removeClass('hidden');
        });

    }

    att_financiamento();
});

//EFEITOS PARA APLICAR MASCARA DE DINHEIRO 
$(document).on('blur', '.money', function(){

    let aux = $(this).val();

    aux = parseFloat(aux.replace(/[R$. ]/g, '').replace(/,/g, '.'));

    isNaN(aux) ? aux = $(this).attr('valor_antigo') : '';

    aux = aux.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'});

    // console.log(aux);
    $(this).val(aux);
});

//EFEITOS PARA APLICAR MASCARA DE DINHEIRO
$(document).on('focus', '.money', function(){
    let aux = $(this).val();
    $(this).attr('valor_antigo', aux);
    $(this).val('');
});

// ############# ROTINA PARA AS PARCELAS INTERMEDIARIAS ###############
$('button#add_parcela_intermediaria').click(function(){

    let tr = $('tbody#intermediaria > tr.hidden').clone(true).removeClass('hidden');
    $('tbody#intermediaria').append(tr);
    cal_total_intermediaria();
});

//Rotina para validar o valor das parcelas de acordo com o valor restante 
$('input[name="valor_parcela_intermediaria"]').blur(function(){
    cal_total_intermediaria();                
});

//Rotina para validar o valor das parcelas de acordo com o valor restante 
$('input[name="qnt_intermediaria"]').blur(function(){
    cal_total_intermediaria();                
});

//Rotina para remover a linha seleciopnada
$('button.remove_intermediaria').click(function(){
    $(this).parents('tr').detach();
    cal_total_intermediaria();
});

// ################ PARCELAS ENTRADA ################
//Rotina para remover a linha seleciopnada
$('button.remove_entrada').click(function(){
    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();
    $(this).parents('tr').detach();
    cal_total_entrada();
    cal_total_intermediaria();
});

$('button#add_parcela_entrada').click(function(){
    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();

    let tr = $('tbody#pacelas_entrada > tr.hidden').clone(true).removeClass('hidden');

    $('tbody#pacelas_entrada').append(tr);
    cal_total_entrada();
    cal_total_intermediaria();
    att_date();
});

//Rotina para validar o valor das parcelas de acordo com o valor restante 
$('input[name="valor_parcela_entrada"]').blur(function(){
    cal_total_entrada(); 
    cal_total_intermediaria();               
});

//Rotina para validar o valor das parcelas de acordo com o valor restante 
$('input[name="qnt_entrada"]').blur(function(){
    cal_total_entrada();
    cal_total_intermediaria();                
});

// ROTINA PARA MOSTRAR VALOR A VISTA ###### DESUSO NO HERMINIO MORETTI #######
// $('input#sinal').blur(function(){
    

//     let valor = parseFloat($(this).val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
    
//     isNaN(valor) ? valor = 0 : '';

//     if(valor != 0){
//         $('input#exibe_avista').val(valor.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

//         $('input#exibe_avista').parent('div').removeClass('hidden');
//     }else{
//         $('input#exibe_avista').val(valor.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
//         $('input#exibe_avista').parent('div').addClass('hidden');
//     }

//     $('select#parcelamento_financiamento').val(-1);
//     $('select#parcelamento_financiamento').change();
//     att_financiamento();
//     cal_total_intermediaria();
// });

$('select#sinal').change(function(){
    var qnt = $(this).find('> option:selected').attr('qnt');
    var valor = $(this).find('> option:selected').attr('valor');
    var desconto = $(this).find('> option:selected').attr('desconto');

    desconto = parseFloat(desconto);

    var total = (parseFloat(qnt) * parseFloat(valor));
    isNaN(total) ? total = 0 : '';
    isNaN(desconto) ? desconto = 0 : '';

    if(total != 0){
        $('input#exibe_avista').val(total.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
        $('input#exibe_avista').attr('desconto', desconto);

        $('input#exibe_desconto').val(desconto.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

        $('input#exibe_avista').parent('div').removeClass('hidden');
    }else{
        $('input#exibe_avista').val(total.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
        $('input#exibe_avista').attr('desconto', desconto);

        $('input#exibe_desconto').val(desconto.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

        $('input#exibe_avista').parent('div').addClass('hidden');
    }

    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();
    att_financiamento();

});

//Rotina para mostrar o valor da entrada select
$('select#parcelamento_entrada').change(function(){
    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();
    let total = (parseFloat($(this).find('> option:selected').attr('qnt')) * parseFloat($(this).find('> option:selected').attr('valor')));

    isNaN(total) ? total = 0 : '';

    $('input#exibe_entrada').val(total.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
    att_financiamento();
    cal_total_intermediaria();
});

$('select#parcelamento_inter').change(function(){
    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();
    let total = (parseFloat($(this).find('> option:selected').attr('qnt')) * parseFloat($(this).find('> option:selected').attr('valor')));

    isNaN(total) ? total = 0 : '';

    $('input#exibe_intermediaria').val(total.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
    att_financiamento();
});

$('select#parcelamento_financiamento').change(function(){
    let total = (parseFloat($(this).find('> option:selected').attr('qnt')) * parseFloat($(this).find('> option:selected').attr('valor')));

    $(this).find('> option:selected').attr('selected', 'true');

    isNaN(total) ? total = 0 : '';

    $('input#exibe_total_fin').val(total.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
    att_financiamento();
});

$('input[name="armotiza"]').click(function(){

    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();



    if($(this).attr('id') == 'sac'){
        $('div#modalSAC').modal('show');

        $('div#modifica_financiamento_original').addClass('hidden');
        $('div#modifica_financiamento_sac').removeClass('hidden');
    }else{
        $('div#modifica_financiamento_original').removeClass('hidden');
        $('div#modifica_financiamento_sac').addClass('hidden');
    }

    // att_financiamento();
});

//ROTINA PARA FAZER A VALIDAÇÃO DA DATA DE FINANCIAMENTO
$('input#data-financiamento').blur(function(){

    // if($(this).val() != ''){

    //     var data_entrada;
    //     var data_finan = $(this).val();

    //     att_financiamento();

    //     var remanescente = $('input#exibe_financiamento').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1);

    //     $('div#forma-juros').removeClass('hidden');
    //     $('label#modifica_financiamento').removeClass('hidden');
    //     $('div#modifica_financiamento_original').removeClass('hidden');
    //     $('div#taxa_financiamento_vdd').removeClass('hidden');

    //     if($('input#modifica_entrada').attr('checked') == 'checked'){
    //         data_entrada = $('tbody#pacelas_entrada > tr:not(tr.hidden)').eq(0).find('> td').eq(1).find('> input').val();
    //     }else{
    //         data_entrada = $('input#data_entrada').val();
    //     }

    //     data_entrada = new Date(data_entrada);
    //     data_finan   = new Date(data_finan);

    //     var dias_juros = (data_finan.getTime() - data_entrada.getTime()) / DAY; 

    //     dias_juros < 0 ? dias_juros = 0 : '';

    //     $.ajax({  
    //         url:'price.php',  
    //         method:'POST', 
    //         async: false,
    //         data: {valor: remanescente , parcela: 1 , juros: taxa_financiamento, intervalo:dias_juros},
    //         dataType:'json',  
    //         success: dados =>   
    //         {   
    //             $('input#exibe_financiamento').val(dados.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
    //         },
    //         error: erro => {console.log('erro na price!')}  
    //     });
    // }else{
    //     $('div#forma-juros').addClass('hidden');
    //     $('label#modifica_financiamento').addClass('hidden');
    //     $('div#modifica_financiamento_original').addClass('hidden');
    //     $('div#taxa_financiamento_vdd').addClass('hidden');
    // }
    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();



    if($(this).attr('id') == 'sac'){
        $('div#modalSAC').modal('show');

        $('div#modifica_financiamento_original').addClass('hidden');
        $('div#modifica_financiamento_sac').removeClass('hidden');
    }else{
        $('div#modifica_financiamento_original').removeClass('hidden');
        $('div#modifica_financiamento_sac').addClass('hidden');
    }


    att_financiamento();

    var tipo_armotiza = $('div.form-check-inline > input:checked').attr('id');

    if($(this).val() == ''){
        $('div#forma-juros').addClass('hidden');
        $('label#modifica_financiamento').addClass('hidden');
        $('div#modifica_financiamento_original').addClass('hidden');
        $('div#taxa_financiamento_vdd').addClass('hidden');
    }else if(tipo_armotiza != "sac"){

        $('div#forma-juros').removeClass('hidden');
        $('label#modifica_financiamento').removeClass('hidden');
        $('div#modifica_financiamento_original').removeClass('hidden');
        $('div#taxa_financiamento_vdd').removeClass('hidden');
    }
});

$('input[name="tipo_parcelamento"]').click(function(){

    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();

    if($(this).attr('id') == 'valor_parcela'){
        $('input#manual_financiamento').addClass('money');
    }else{
        $('input#manual_financiamento').removeClass('money');
    }
});

$('input#quantidade_parc_sac').blur(function(){

    var qnt_parcelas = $(this).val();
    var valor_financiado = $('input#exibe_financiamento').attr('valor-financiamento');
    var aux_arm = (valor_financiado / qnt_parcelas);
    var juros = $('input#taxa_financiamento_vdd').val();

    var primeira_parcela = new Date($('input#data-financiamento').val());
    var total = 0;

    $('tbody#finan_sac > tr:not(.hidden)').each(function(){
        $(this).detach();
    });

    for(let i = 1; i <= qnt_parcelas; i++){

        let aux_clone = $('tbody#finan_sac > tr.hidden').clone(true).removeClass('hidden');
        let aux_parc = primeira_parcela;


        let aux_total = aux_arm + ((juros/100) * (valor_financiado - ((i - 1) * aux_arm)));
        total += aux_total;

        aux_clone.find('> td').eq(0).text(i);
        aux_clone.find('> td').eq(1).text(aux_total.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
        aux_clone.find('> td').eq(2).text(dataAtualFormatada(new Date(aux_parc.setMonth(aux_parc.getMonth() + (1)))));

        console.log();

        $('tbody#finan_sac').append(aux_clone);
    }

    if(qnt_parcelas != ''){

        var valor = $('input#exibe_financiamento').val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1);
        var zero = 0;

        $('input#exibe_financiamento').val(zero.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

        $('input#exibe_financiamento').attr('valor-financiamento', valor);
        $('input#exibe_financiamento').addClass('completo');

        $('input#exibe_total_fin').val(parseFloat(total).toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
    }
});

$('input#parcela_unica').blur(function(){
    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();


    var valor = parseFloat($(this).val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));

    isNaN(valor) ? valor = 0 : '';


    $('input#exibe_unica').val(valor.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

    console.log(valor.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

    att_financiamento();
});

$('input#aux_desconto').blur(function(){

    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();

    var valor = parseFloat($(this).val().replace(/[R$. ]/g, '').replace(/,/g, '.').substr(1));
    isNaN(valor) ? valor = 0 : '';

    $('input#exibe_desconto').val(valor.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));

    att_financiamento();
});

$('button#gera_pdf_demonstrativo').click(function(){
    // $("div#modal7").modal('show');

    // $("div#salvar").html("<img src='img/loading.gif' width='45' height='45' style='text-align: right;'>");
    // $("div#footer_salvar").html("<h4 class='modal-title' align='center' id='salvar'>Carregando, aguarde!</h4>");
    // $("div#modal7").modal("show");


    salva_simulacao();
});

$('input#taxa_financiamento_vdd').blur(function(){
    $('select#parcelamento_financiamento').val(-1);
    $('select#parcelamento_financiamento').change();



    if($(this).attr('id') == 'sac'){
        $('div#modalSAC').modal('show');

        $('div#modifica_financiamento_original').addClass('hidden');
        $('div#modifica_financiamento_sac').removeClass('hidden');
    }else{
        $('div#modifica_financiamento_original').removeClass('hidden');
        $('div#modifica_financiamento_sac').addClass('hidden');
    }
    att_financiamento();
});